package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.AreaGateway;
import com.zcloud.personnel.positioning.domain.model.AreaE;
import com.zcloud.personnel.positioning.dto.AreaUpdateCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class AreaUpdateExe {
    private final AreaGateway areaGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(AreaUpdateCmd cmd) {
        AreaE areaE = new AreaE();
        BeanUtils.copyProperties(cmd, areaE);
        boolean res = areaGateway.update(areaE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}
